GuidesAPI Reference
Guides

Assistance data request

To request real-time A-GNSS data, send an HTTP GET request to the /v2/assistance endpoint on the HERE GNSS Data API.

Base URL

https://gnss.hereapi.com/v2/assistance

Authentication

The HERE GNSS Data API supports two authentication methods. You can use either method for all requests.

API key

Pass your API key as the apiKey query parameter:

GET /v2/assistance?gnss=gps&apiKey={YOUR_API_KEY} HTTP/1.1
Host: gnss.hereapi.com

Bearer token

Pass a bearer token in the Authorization header:

GET /v2/assistance?gnss=gps HTTP/1.1
Host: gnss.hereapi.com
Authorization: Bearer {YOUR_BEARER_TOKEN}

For information on how to obtain API keys or bearer tokens, see the Identity and Access Management Guide.

Query parameters

ParameterTypeRequiredDefaultDescription
gnssstringNoAll systemsSpecifies the GNSS system(s) for which assistance data is requested. Supported values: gps, glo, gal, bds, qzs. Separate multiple values with commas. If omitted, data for all supported systems is returned.
encodingstringNouperSpecifies the encoding format for the LPP messages. Currently, only uper (Unaligned Packed Encoding Rules) is supported.
lppstringNodataSpecifies the LPP ASN.1 root element. Use data for A-GNSS-ProvideAssistanceData or full for LPP-Message. Using data can reduce the size of the code needed to parse ASN.1 messages.
billingTagstringNoA list of up to six billing tags, separated by +. Length: 4–101 characters. For details, see the Cost Management Developer Guide.

Request headers

HeaderRequiredDescription
X-Request-IDNoUser-provided token to trace a request or a group of requests. Can be any string; UUID is recommended. The value is echoed in the response.

Examples

Request GPS assistance data with an API key

GET /v2/assistance?gnss=gps&apiKey={YOUR_API_KEY} HTTP/1.1
Host: gnss.hereapi.com

Request GPS and Galileo data with a bearer token

GET /v2/assistance?gnss=gps,gal HTTP/1.1
Host: gnss.hereapi.com
Authorization: Bearer {YOUR_BEARER_TOKEN}

Request all GNSS systems with A-GNSS-ProvideAssistanceData root element

GET /v2/assistance?lpp=data&apiKey={YOUR_API_KEY} HTTP/1.1
Host: gnss.hereapi.com

Request with tracking headers

GET /v2/assistance?gnss=gps&apiKey={YOUR_API_KEY} HTTP/1.1
Host: gnss.hereapi.com
X-Request-ID: my-request-123

Related information